<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Orrins Portfolio</title>
    <style>
        .responsive-image {
            object-fit: cover;
            width: 100%;
            height: 100%;
            display: flex;
            justify-content: space-around;}

            html, body {
          font-size: clamp(max(.7vw, 15px), 1vw, min(2vw, 24px)); 
          font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            background-color: #f2f2f2;
        }

        h1, .h1 { font-size: 2.5rem; font-weight: bold;}
        h2, .h2 { font-size: 2rem; font-weight: bold; }
        h3, .h3 { font-size: 2rem; font-weight: bold; }
        h4, .h4 { font-size: 1.75rem; font-weight: bold; }
        h5, .h5 { font-size: 1.5rem; font-weight: bold; }
        h6, .h6 { font-size: 1.25rem; font-weight: bold; }
        nav, .nav {font-size: 1.25rem; font-weight: bold;}
        

    @media (width < 576px) { /* x-small (xs) */
    header img {max-width: 90%}
     
    }
    @media (width <= 576px) { /* small (sm) */
     header img {max-width: 90%}
      
    } 
    @media (width <= 768px) {  /* medium (md) */
     body {background-color: lightgrey;} 
     header img {max-width: 90%} 

    } 
    @media (width <= 992px) { /* large (lg) */
     header img {max-width: 90%}

    } 
    @media (width <= 1200px) { /* x-large (xl) */
     header img {max-width: 90%} 
             
    } 
    @media (width <= 1400px) { /* x-large (xl) */
     header img {max-width: 90%} 
         
    }
    @media (width <= 1920px) {/* xx-large (xxl)*/
    header img {max-width: 90%}
      
    }
        
        .portfolio{

        }
        header {
            text-align: center;
            background-color: #2C3E50;
            color: #ECF0F1;
            padding: 50px 0;
        }


        p {
            font-size: 1.2rem;
            text-align: center;
        }

        nav {
            text-align: center;
            background-color: #34495E;
            padding: 20px 0;
        }

        nav ul {
            list-style: none;
        }

        nav li {
            color: white;
            display: inline;
            margin: 0 20px;
        }

        nav a {
            text-decoration: none;
            color: #ECF0F1;
            font-size: 1.2rem;
        }

        .grid {
            display: grid;
            grid-template-columns: repeat(3, 1fr);
            gap: 20px;
            padding: 20px;
        }

        .item {
            text-align: center;
            background-color: #ECF0F1;
            padding: 20px;
            border-radius: 10px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
        }

        .item img {
            max-width: 100%;
            height: auto;
        }

        .item h3 {
            margin: 10px 0;
            font-size: 1.5rem;
        }

        footer {
            text-align: center;
            background-color: #2C3E50;
            color: #ECF0F1;
            padding: 10px 0;
        }

        .contact-form {
    background-color: #ECF0F1;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    margin: 20px;
}

.contact-form label {
    display: block;
    margin: 10px 0;
    font-size: 1.2rem;
    font-weight: bold;
}

.contact-form input,
.contact-form textarea {
    width: 100%;
    padding: 10px;
    margin: 5px 0;
    border: 1px solid #ccc;
    border-radius: 3px;
    font-size: 1.2rem;
}

.contact-form button {
    background-color: #34495E;
    color: #ECF0F1;
    border: none;
    border-radius: 5px;
    padding: 10px 20px;
    margin: 10px 0;
    cursor: pointer;
    font-size: 1.2rem;
}

.contact-form button:hover {
    background-color: #2C3E50;
}

        h2 {text-align: center;}
    </style>
</head>
<body>
    <header>
        <h1>Orrin Price</h1>
        <p>Student</p>
        
    </header>

    <nav>
        <ul>
            <li><a href="home.php">Home</a></li>
            <li><a href="about.php">About</a></li>
            <li><a href="skills.php">Skills</a></li>
            <li><a href="contact.php">Contact</a></li>
            <li><a href="education.php">Education</a></li>
        </ul>
    </nav>

    <section>
        <h2>Contact Orrin</h2>
        <form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="POST" class="contact-form">
            <label for="name">Name:</label>
            <input type="text" id="name" name="name" required>

            <label for="email">Email:</label>
            <input type="email" id="email" name="email" required>

            <label for="message">Message:</label>
            <textarea id="message" name="message" required></textarea>

            <button type="submit">Submit</button>
        </form>
    </section>

    <footer>
        <p>&copy; 2023 Orrin Price</p>
    </footer>

    <?php
    if ($_SERVER["REQUEST_METHOD"] == "POST") {
        $name = $_POST["name"];
        $email = $_POST["email"];
        $message = $_POST["message"];

        $to = "orrinprice66@gmail.com";  
        $subject = "New Contact Form Submission";

        $email_message = "Name: $name\n";
        $email_message .= "Email: $email\n";
        $email_message .= "Message:\n$message";

        $headers = "From: $email" . "\r\n" .
                   "Reply-To: $email" . "\r\n" .
                   "X-Mailer: PHP/" . phpversion();

        mail($to, $subject, $email_message, $headers);

        // Redirect back to the contact page after submission
        header("Location: " . $_SERVER['PHP_SELF']);
        exit();
    }
    ?>
</body>
</html>